## python-annotatedyaml 1.0.2

=== debian/changelog ===
python-annotatedyaml (1.0.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 14 Oct 2025 13:18:39 +0100

python-annotatedyaml (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1118007)

 -- Edward Betts <edward@4angle.com>  Mon, 13 Oct 2025 17:37:48 +0100
