=== debian/control ===
Source: python-annotatedyaml
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Arch:
 furo <!nodoc>,
 python3-myst-parser <!nodoc>,
 python3-propcache <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autobuild <!nodoc>,
 python3-voluptuous <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/home-assistant-libs/annotatedyaml
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-annotatedyaml
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-annotatedyaml.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-annotatedyaml
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: YAML parser and dumper with support for annotated values and secrets
 This library provides functionality to parse and serialize YAML documents that
 make use of annotations, allowing for additional metadata or semantics to be
 associated with YAML values. It also includes mechanisms for recognizing and
 managing secret values within the YAML content, enabling sensitive information
 to be marked and optionally handled differently from regular data. Common
 scenarios include handling configuration files that may include Wi-Fi
 passwords or API keys, where annotated fields indicate which values are
 considered secrets. This allows for more secure management and representation
 of confidential information in YAML files, while still supporting the full
 capabilities of YAML syntax. The library focuses on reading, interpreting, and
 writing such annotated YAML files, and ensures that secret information can be
 consistently identified throughout the data structure.
